=== debian/changelog ===
openmolcas (21.10-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/tests/testsuite.sh: make the testsuite resilient in the face of
      parent directory not being writable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Jan 2022 16:37:44 -0800

openmolcas (21.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/mkl_library_dir.patch: Refreshed.
  * debian/patches/pymolcas_default_directories.patch: Likewise.
  * debian/patches/install_locations.patch: Likewise.
  * debian/patches/openblas_hardcode_includedir.patch: Likewise.
  * debian/patches/linux_platform_support.patch: Likewise.
  * debian/patches/verify_default_directories.patch: Rewritten.
  * debian/openmolcas.install: Remove .plx files, they are no longer present.
  * debian/rules (override_dh_auto_build): Target removed, no longer needed.
  * debian/rules (override_dh_auto_install): No longer install pymolcas_, file
    no longer exists.

 -- Michael Banck <mbanck@debian.org>  Mon, 03 Jan 2022 00:48:27 +0100

openmolcas (20.10-2ubuntu1) impish; urgency=medium

  * debian/tests/testsuite.sh: make the testsuite resilient in the face of
    parent directory not being writable.  Thanks to Dan Bungert
    <daniel.bungert@canonical.com>.  Closes: #988161, LP: #1932202.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 28 Aug 2021 13:42:38 -0700
