## openmolcas 22.02

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # Gerardo Raggi - AppleClang
 
 cmake_minimum_required (VERSION 3.12)
-cmake_policy (VERSION 3.12...3.13)
+cmake_policy (VERSION 3.12...3.21)
 
 project (OpenMolcas
          LANGUAGES Fortran C
@@ -48,10 +48,7 @@
 find_program (PERL "perl")
 mark_as_advanced (FORCE GIT PERL)
 
-FIND_PACKAGE (PythonInterp 3.0)
-if (NOT PYTHONINTERP_FOUND)
-  FIND_PACKAGE (PythonInterp 2.7)
-endif ()
+FIND_PACKAGE (Python COMPONENTS Interpreter)
 
 ################################################################################
 #                                                                              #
@@ -113,6 +110,8 @@
 
 option (CUBLAS "Enable CUDA BLAS library." OFF)
 option (NVBLAS "Enable NVidia BLAS library." OFF)
+
+set (EXTERNAL_LIBXC "" CACHE STRING "Location for an external Libxc build")
 
 option (FDE "Enable Frozen-density-embedding (FDE) interface." OFF)
 option (GROMACS "Compile Gromacs interface." OFF)
