=== src/io_util/CMakeLists.txt ===
--- 
+++ 
@@ -48,13 +48,14 @@
      fscb2unit.F90
      get_mbl_wa.F90
      handle2name.F90
+     i1dafile.F90
      idafile.F90
      isfreeunit.F90
      is_opened.F90
      lu2desc.F90
      lu2handle.F90
      molcas_binaryopen_vanilla.F90
-     molcas_open_ext.F90
+     molcas_open_ext2.F90
      molcas_open.F90
      mpdafile.F90
      next_non_comment.F90
