=== debian/changelog ===
openmolcas (22.02-6) unstable; urgency=medium

  * debian/rules (FFLAGS): Replaced -fno-expensive-optimizations with
    -ffp-contract=off (Closes: #1005202).

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Jun 2022 18:41:44 +0200

openmolcas (22.02-5) unstable; urgency=medium

  * debian/control (Build-Depends): Added libhdf5-dev.
  * debian/rules (dh_override_auto_configure): Enable HDF5 support (Closes:
    #1012591).
  * debian/tests/testsuite.sh: Add HDF5 test.

 -- Michael Banck <mbanck@debian.org>  Fri, 10 Jun 2022 21:43:08 +0200

openmolcas (22.02-4) unstable; urgency=medium

  * Reupload, the last upload accidently disabled the fix_libxc_interface.patch
    patch.

 -- Michael Banck <mbanck@debian.org>  Mon, 04 Apr 2022 18:29:38 +0200

openmolcas (22.02-3) unstable; urgency=medium

  [ Dan Bungert ]
  * debian/tests/testsuite.sh: Apply merge request #1 (Closes: #988161).
    + Fix for when the parent directory can't be written to - use a tempdir
      instead, and clean it up when we're done.
    + Fix basename usage - it can't be handed multiple files at a time, so call
      it once per loop. This can occur if there were multiple test failures.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Apr 2022 13:38:36 +0200

openmolcas (22.02-2) unstable; urgency=medium

  * debian/control (Depends): Added python3-lxml (for pymolcas verify).
  * debian/rules (override_dh_auto_configure): Set LINALG to "Manual" and
    replace OPENBLASROOT with LINALG_LIBRARIES.
  * debian/patches/openblas_hardcode_includedir.patch: Removed, no longer
    needed. 
  * debian/openmolcas.install: Add help_func. 
  * debian/patches/python_interpreter.patch: New patch, partially reverts
    upstream commit 523c2ef so that pymolcas shebang line does encode the
    python version.
  * debian/patches/fix_libxc_interface.patch: New patch, avoids an assertion
    error when OpenMolcas is linked against a system libxc library with
    assertions on.

 -- Michael Banck <mbanck@debian.org>  Fri, 01 Apr 2022 18:37:53 +0200

openmolcas (22.02-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/mkl_library_dir.patch: Refreshed.
  * debian/patches/install_locations.patch: Likewise.
  * debian/patches/openblas_hardcode_includedir.patch: Likewise.
  * debian/patches/linux_platform_support.patch: Likewise.
  * debian/control (Build-Depends): Added libxc-dev.
  * debian/patches/libxc_hardcode_includedir.patch: New patch, fix the cmake
    libxc detection to look in the multiarch library directory.
  * debian/rules (override_dh_auto_configure): Add EXTERNAL_LIBXC define, set
    to the multiarch library directory.

 -- Michael Banck <mbanck@debian.org>  Sat, 12 Mar 2022 20:15:47 +0100
